package com.ruoyi.bst.ad.domain.enums;

import com.ruoyi.common.utils.collection.CollectionUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@Getter
@AllArgsConstructor
public enum AdVerifyStatus {

    REJECTED("0", "已驳回"),
    PENDING("1", "待审核"),
    PASSED("2", "已通过");

    private final String code;
    private final String name;

    // 可以审核的故障审核状态
    public static List<String> canVerify() {
        return CollectionUtils.map(AdVerifyStatus::getCode, PENDING);
    }


}
